Get entitlement customer
curl --request GET \
--url https://api.zenskar.com/entitlements/{entitlement_id}/customer/{customer_id}/{ec_id} \
--header 'organisation: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.zenskar.com/entitlements/{entitlement_id}/customer/{customer_id}/{ec_id}"
headers = {
"x-api-key": "<api-key>",
"organisation": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', organisation: '<api-key>'}};
fetch('https://api.zenskar.com/entitlements/{entitlement_id}/customer/{customer_id}/{ec_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entitlement": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expiry_at": "2023-11-07T05:31:56Z",
"active_from": "2023-11-07T05:31:56Z",
"quantity": 123,
"quantity_used": 123,
"created_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Entitlements
Get entitlement customer
Get specific entitlement details for a customer
GET
/
entitlements
/
{entitlement_id}
/
customer
/
{customer_id}
/
{ec_id}
Get entitlement customer
Authorizations
Path Parameters
The ID of the entitlement
The ID of the customer
The ID of the entitlement customer
Response
Successful Response
Create Entitlement Customer Request Schema
Entitlement Customer Row Id
Entitlement ID
Customer ID
Entitlement Expiry Time
Entitlement Active From
Entitlement Units assigned
Entitlement Units Consumed
created time